Bug 986760 - XmlBPMNProcessDumper.dump() misses conditionExpression in sequenceFlow
XmlBPMNProcessDumper.dump() misses conditionExpression in sequenceFlow
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
5.x.x
Unspecified Unspecified
unspecified Severity medium
: ER2
: 6.0.0
Assigned To: Marco Rietveld
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 23:22 EDT by Toshiya Kobayashi
Modified: 2016-09-20 01:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 985864
Environment:
Last Closed: 2014-08-06 16:08:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4069 Major Resolved XmlBPMNProcessDumper.dump() misses conditionExpression in sequenceFlow 2015-05-25 09:34:54 EDT

  None (edit)
Description Toshiya Kobayashi 2013-07-21 23:22:48 EDT
+++ This bug was initially created as a clone of Bug #985864 +++

Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4069


Steps to Reproduce:
1. Create bpmn which includes SplitNode with conditionExpression in sequenceFlow
2. Parse the bpmn with KnowledgeBuilder
3. call XmlBPMNProcessDumper.dump() and compare original and generated xml

Actual results:

generated xml misses conditionExpression (See JBPM-4069)

Expected results:

generated xml doesn't miss conditionExpression
Comment 1 Toshiya Kobayashi 2013-07-21 23:29:03 EDT
As mentioned in BZ985864 , this has been fixed in master so it's okay to move to MODIFIED.
Comment 2 Marek Baluch 2013-09-09 07:43:32 EDT
Verified on ER2.

Dump snipp.

<conditionExpression xsi:type="tFormalExpression" language="http://www.java.com/java" >return 1==(Integer)kcontext.getVariable("myVar");</conditionExpression>

<conditionExpression xsi:type="tFormalExpression" language="http://www.java.com/java" >return 1&gt;=(Integer)kcontext.getVariable("myVar");</conditionExpression>

Note You need to log in before you can comment on or make changes to this bug.